Last modified: 2012-04-19 21:43:36 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20992 - Search and Replace: Regular Expression functionality is not working.
Search and Replace: Regular Expression functionality is not working.
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
Macintosh Mac OS X 10.5
: Normal major (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org/d/inde...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-05 05:56 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Calcey QA 2009-10-05 05:56:21 UTC
Reporting against Babaco Release.

Steps to Reproduce ::
1)Navigate to a Random page and click Edit link
2)Insert following texts in the text area.
from
frog
3)Click on "Search and replace" button.
4)Check 'Treat search string as a regular expression' check box.
5)Set "fro[^ ]" to 'Search for' text box.
6)Click 'Find Next' button two times.
<<System highlighted the 'from' word twice>>

Expected Outcome::
System should highlight the 'frog' word.

Other observation::
If the user enter following texts in text area and click the search button twice, system highlight 'frog' word twice.

Test Environment ::
Browser (User-Agent):  	Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3
Time and Date: 	10:16:18 AM - Monday, October 05, 2009
Javascript: 	Enabled
Cookies Enabled: 	Enabled
Java Enabled: 	Enabled
CPU class/type: 	OS/CPU Intel Mac OS X 10.5

Browser (User-Agent): 	Opera/9.50 (Macintosh; Intel Mac OS X; U; en)
Time and Date: 	10:36:16 AM - Monday, October 05, 2009
Javascript:	Enabled
Cookies Enabled:	Enabled 
Java Enabled:	Enabled

Browser (User-Agent):	Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-us) AppleWebKit/523.15.1 (KHTML, like Gecko) Version/3.0.4 Safari/523.10
Time and Date:	11:25:29 AM - Tuesday, October 06, 2009
Javascript:	Enabled
Cookies Enabled:	Enabled
Java Enabled:	Enabled
Comment 1 Roan Kattouw 2009-10-05 12:04:00 UTC
Fixed in r57376.
Comment 2 Calcey QA 2009-10-13 11:44:30 UTC
verified and passed

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links